Partially update a transaction
curl --request PATCH \
--url https://{host}/bonus/v1/transactions/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"metadata": {}
}'import requests
url = "https://{host}/bonus/v1/transactions/{id}"
payload = { "metadata": {} }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({metadata: {}})
};
fetch('https://{host}/bonus/v1/transactions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"message": "<string>",
"details": null
}{
"name": "<string>",
"message": "<string>",
"details": null
}Partially update a transaction
Currently only update of metadata is supported. The values from request will replace the values from transaction.
PATCH
/
v1
/
transactions
/
{id}
Partially update a transaction
Authorizations
JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
Path Parameters
Id of the transaction to update
Body
application/jsontext/jsonapplication/*+json
Updated properties of the transaction
Show child attributes
Show child attributes
Response
OK
Last modified on August 10, 2026
⌘I